Bug 228557 - Find in files functionality works incorrectly with files containing form feed
Find in files functionality works incorrectly with files containing form feed
Status: VERIFIED FIXED
Product: utilities
Classification: Unclassified
Component: Search
7.4
All All
: P2 (vote)
: 7.3.1
Assigned To: Jaroslav Havlin
issues@utilities
73patch2-fixed, cndreq
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-15 09:15 UTC by Vladimir Voskresensky
Modified: 2013-04-26 00:48 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
folder with problem files (6.00 KB, application/x-tar)
2013-04-15 09:17 UTC, Vladimir Voskresensky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2013-04-15 09:15:42 UTC
extract attached archive
add "ff" folder to favorites
try to "Find..." Answer string in this folder
=>
Search Results correctly displays and highlights results in all files

Try to open by double clicking on result elements from Search TC
=> all except the first occurrence in file opens and selects incorrect content
Comment 1 Vladimir Voskresensky 2013-04-15 09:16:50 UTC
reproducible in trunk.
we need it to be fixed in 7.3.1 if possible.
Comment 2 Vladimir Voskresensky 2013-04-15 09:17:54 UTC
Created attachment 133498 [details]
folder with problem files

have a look at form feed symbols in vi for instance
Comment 3 Jaroslav Havlin 2013-04-15 12:10:46 UTC
Find in Projects uses form feed as line separator, but editor displays it as a space.

http://hg.netbeans.org/core-main/rev/4de42f905edb
Fixed by removing form feed from list of line separators.
Please verify. Thank you.
Comment 4 Quality Engineering 2013-04-18 02:22:32 UTC
Integrated into 'main-golden', will be available in build *201304172301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/4de42f905edb
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #228557: Find in files functionality works incorrectly with files containing form feed
Comment 5 Vladimir Voskresensky 2013-04-18 11:33:11 UTC
Jaroslav, thanks for the fix. verified, but I found other problem see issue #228700
Comment 6 Vladimir Voskresensky 2013-04-18 11:35:32 UTC
v
Comment 7 Jaroslav Havlin 2013-04-25 08:00:56 UTC
Thank you for reporting and verifying.

Integrated into branch release73 in repository releases:
http://hg.netbeans.org/releases/rev/fa3be280bcf2
http://hg.netbeans.org/releases/rev/229726d69aeb

Please verify also bug 228700.
Comment 8 Quality Engineering 2013-04-26 00:48:18 UTC
Integrated into 'releases', will be available in build *201304252201* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/fa3be280bcf2
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #228557: Find in files functionality works incorrectly with files containing form feed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo